WellbyteWellbyte

GET /v1/douyin/web/fetch_user_post_videos

获取用户主页作品数据

stable · 2 credits / 次(成功才计)

获取用户主页作品数据;注意:请尽量使用APP的接口而不是WEB的接口,因为WEB的接口可能会被不稳定。;sec_user_id: 用户sec_user_id;max_cursor: 翻页游标,第一次请求传0,然后每次请求传上一次请求返回的max_cursor进行翻页。;count: 最大数量,建议不要超过20;filter_type: 过滤类型,可选参数如下;- 0: 默认排序;- 3: 热度排序;cookie: 用户网页版抖音Cookie(此接口可以接受用户提供自己的Cookie);用户作品数据

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl -s 'https://api.wellbyte.net/v1/douyin/web/fetch_user_post_videos?count=20&cookie=demo&max_cursor=demo&filter_type=demo&sec_user_id=MS4wLjABAAAANXSltcLCzDGmdNFI2Q_QixVTr67NiYzjKOIP5s03CAE' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-08-25

data{
code:0
data{
log_pb{ 1 item }
has_more:1
time_list:null
aweme_list[ 2 items ]
max_cursor:1758706846000
min_cursor:0
post_serial:2
status_code:0
not_login_module{ 3 items }
request_item_cursor:0
replace_series_cover:1
}
meta{
endpoint:"douyin.web.fetch_user_post_videos"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    countintegerquery每页数量20
    cookiestringquery用户网页版抖音Cookiedemo
    max_cursorstringquery最大游标demo
    filter_typestringquery过滤类型demo
    sec_user_idstringquery用户sec_user_idMS4wLjABAAAANXSltcLCzDGmdNFI2Q_QixVTr67NiYzjKOIP5s03CAE

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误
    40102401API Key 无效或已吊销
    40201402余额不足,请充值
    40402404目标资源不存在
    42201422质量门槛未通过
    42901429超出速率限制
    50401504上游超时
    50201502上游返回异常

    计费

    成功扣 2 credits;任何失败(含上游 200 但未过质量门槛)扣 0。

    搜索

    搜索端点与文档